Bug 446171

Summary: missing package installer in hplip (non-gui) required by hp-setup
Product: [Fedora] Fedora Reporter: Alexandre Oliva <oliva>
Component: hplipAssignee: Tim Waugh <twaugh>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 9CC: fybanez
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-15 04:20:12 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 235705    

Description Alexandre Oliva 2008-05-13 03:37:05 EDT
Description of problem:

# hp-setup -i -a -x /dev/parport0

HP Linux Imaging and Printing System (ver. 2.8.2)
Printer/Fax Setup Utility ver. 7.0
[...]
Setting up device: hp:/par/OfficeJet_Series_700?device=/dev/parport0


Traceback (most recent call last):
  File "/usr/bin/hp-setup", line 448, in <module>
    from installer import core_install
ImportError: No module named installer

# rpm -ql hplip | grep installer/
(nothing)

# rpm -q hplip-gui
package hplip-gui is not installed

# yum -y install hplip-gui
[...]
# rpm -ql hplip-gui | grep installer/
/usr/share/hplip/installer/__init__.py
/usr/share/hplip/installer/__init__.pyc
/usr/share/hplip/installer/__init__.pyo
/usr/share/hplip/installer/core_install.py
/usr/share/hplip/installer/core_install.pyc
/usr/share/hplip/installer/core_install.pyo
/usr/share/hplip/installer/dcheck.py
/usr/share/hplip/installer/dcheck.pyc
/usr/share/hplip/installer/dcheck.pyo
/usr/share/hplip/installer/distros.dat

and then hp-setup works.

Version-Release number of selected component (if applicable):
hplip-2.8.2-2.fc9.x86_64
Comment 1 Tim Waugh 2008-05-13 04:10:09 EDT
Fixed in CVS.
Comment 2 Tim Waugh 2008-05-23 05:12:46 EDT
*** Bug 447083 has been marked as a duplicate of this bug. ***
Comment 3 Alexandre Oliva 2008-06-25 14:08:59 EDT
Thanks, I confirm that the fix works on rawhide.  F-9 still doesn't have a fixed
package.
Comment 4 Bug Zapper 2009-06-09 20:45:18 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-15 04:20:12 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.